org.jboss.jca.adapters.jdbc.extensions.novendor

## Class GoodForSecondsValidConnectionChecker

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.extensions.novendor.JDBC4ValidConnectionChecker
  - - org.jboss.jca.adapters.jdbc.extensions.novendor.GoodForSecondsValidConnectionChecker

- All Implemented Interfaces:
    java.io.Serializable, ValidConnectionChecker

      public class GoodForSecondsValidConnectionChecker
      extends JDBC4ValidConnectionChecker

  GoodForSeconds connection validation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoodForSecondsValidConnectionChecker()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.SQLException` | `isValidConnection(java.sql.Connection c)` Checks the connection is valid
    `void` | `setGoodForSeconds(int v)` Set the good for seconds
    `void` | `setMaxKeepSize(int v)` Set the max keep size

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.extensions.novendor.JDBC4ValidConnectionChecker

      `getPingTimeOut, setPingTimeOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoodForSecondsValidConnectionChecker

          public GoodForSecondsValidConnectionChecker()

      Constructor

  - ### Method Detail

    - #### isValidConnection

          public java.sql.SQLException isValidConnection(java.sql.Connection c)

      Checks the connection is valid
      Specified by:
        `isValidConnection` in interface `ValidConnectionChecker`
      Overrides:
        `isValidConnection` in class `JDBC4ValidConnectionChecker`
      Parameters:
        `c` - the connection
      Returns:
        Exception when not valid, null when valid

    - #### setGoodForSeconds

          public void setGoodForSeconds(int v)

      Set the good for seconds
      Parameters:
        `v` - The value

    - #### setMaxKeepSize

          public void setMaxKeepSize(int v)

      Set the max keep size
      Parameters:
        `v` - The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)